Get transaction details
curl --request GET \
--url https://{host}/bonus/v1/transactions/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://{host}/bonus/v1/transactions/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://{host}/bonus/v1/transactions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": 123,
"amount": 123,
"state": "Waiting",
"type": "<string>",
"operationId": "<string>",
"operations": [
{
"type": "Reserve",
"amount": 123,
"creationDate": "2023-11-07T05:31:56Z"
}
],
"remainingReservedAmount": 123,
"remainingCapturedAmount": 123,
"metadata": {}
}{
"name": "<string>",
"message": "<string>",
"details": null
}{
"name": "<string>",
"message": "<string>",
"details": null
}Get transaction details
Get transaction details by transaction id
GET
/
v1
/
transactions
/
{id}
Get transaction details
Authorizations
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Transaction Id
Response
OK
Unique transaction id.
Original transaction amount.
Available options:
Waiting, Successful, Cancelled Transaction type.
Unique identifier of the operation used for transaction creation.
List of operations in scope of transaction.
Show child attributes
Show child attributes
Remaining reserved amount which can be captured or canceled.
Remaining captured amount which can be refunded.
Metadata of the transaction. This field can be updated within a transaction.
Show child attributes
Show child attributes
Last modified on August 10, 2026